/**
 * This function defines a filter which adds quotation marks to the elements of a
 * given string array.
 * @param array The string array for which to add quotation marks to its elements.
 * @returns The string array with quotation marks around its elements.
 */
function toStrings(array) {
    return array.map(s => `"${s}"`);
}
export const toStringsFilter = {
    name: 'toStrings',
    function: toStrings,
};
//# sourceMappingURL=toStrings.js.map